package com.hotent.baseInfo.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonProperty;

import javax.validation.constraints.NotEmpty;

/**
 * 成本监审目录-提交资料清单
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-29
 */
@ApiModel(value="CostCatalogUnit对象", description="成本监审目录-提交资料清单")
public class CostCatalogUnit extends BaseModel<CostCatalogUnit> {

    private static final long serialVersionUID = 1L;
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @JsonProperty("id")
    private String id;
    
    @ApiModelProperty(value = "监审目录id")
    @TableField("catalog_id")
    @JsonProperty("catalogId")
    @NotEmpty(message = "目录id不能为空")
    private String catalogId;
    
    @ApiModelProperty(value = "资料类别")
    @TableField("information_type")
    @JsonProperty("informationType")
    @NotEmpty(message = "资料类别不能为空")
    private String informationType;
    
    @ApiModelProperty(value = "资料名称")
    @TableField("information_name")
    @JsonProperty("informationName")
    @NotEmpty(message = "资料名称不能为空")
    private String informationName;
    
    @ApiModelProperty(value = "资料要求")
    @TableField("information_require")
    @JsonProperty("informationRequire")
    @NotEmpty(message = "资料要求不能为空")
    private String informationRequire;
    
    @ApiModelProperty(value = "资料排序")
    @TableField("order_num")
    @JsonProperty("orderNum")
    private Integer orderNum;
    
    @ApiModelProperty(value = "是否必填")
    @TableField("is_required")
    @JsonProperty("isRequired")
    @NotEmpty(message = "是否必填不能为空")
    private String isRequired;
    
    @ApiModelProperty(value = "模板id")
    @TableField("template_id")
    @JsonProperty("templateId")
    private String templateId;
    
    @ApiModelProperty(value = "格式要求 1文档文件、2excel、3预置模板")
    @TableField("format_required")
    @JsonProperty("formatRequired")
    @NotEmpty(message = "格式要求不能为空")
    private String formatRequired;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @JsonProperty("createTime")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人")
    @TableField(value = "create_by", fill = FieldFill.INSERT)
    @JsonProperty("createBy")
    private String createBy;


    @ApiModelProperty(value = "数据库表名称")
    @TableField(exist = false)
    private String surveyTemplateName;

    public String getSurveyTemplateName() {
        return surveyTemplateName;
    }

    public void setSurveyTemplateName(String surveyTemplateName) {
        this.surveyTemplateName = surveyTemplateName;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getCatalogId() {
        return catalogId;
    }

    public void setCatalogId(String catalogId) {
        this.catalogId = catalogId;
    }
    public String getInformationType() {
        return informationType;
    }

    public void setInformationType(String informationType) {
        this.informationType = informationType;
    }
    public String getInformationName() {
        return informationName;
    }

    public void setInformationName(String informationName) {
        this.informationName = informationName;
    }
    public String getInformationRequire() {
        return informationRequire;
    }

    public void setInformationRequire(String informationRequire) {
        this.informationRequire = informationRequire;
    }
    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }
    public String getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(String isRequired) {
        this.isRequired = isRequired;
    }
    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }
    public String getFormatRequired() {
        return formatRequired;
    }

    public void setFormatRequired(String formatRequired) {
        this.formatRequired = formatRequired;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "CostCatalogUnit{" +
            "id=" + id +
            ", catalogId=" + catalogId +
            ", informationType=" + informationType +
            ", informationName=" + informationName +
            ", informationRequire=" + informationRequire +
            ", orderNum=" + orderNum +
            ", isRequired=" + isRequired +
            ", templateId=" + templateId +
            ", formatRequired=" + formatRequired +
            ", createTime=" + createTime +
            ", createBy=" + createBy +
        "}";
    }
}
